#ifndef BIKE_STORE_H
#define BIKE_STORE_H

#include <stdint.h>

typedef struct {
    uint16_t speed;
    uint16_t heartRate;
    uint16_t cadence;
    uint16_t power;
} bikeStoreMeasurement;

void bikeStoreAddMeasurement(bikeStoreMeasurement value);
uint16_t bikeStoreGetNumberOfMeasurementsPresent();
bikeStoreMeasurement bikeStoreGetMeasurement(uint16_t indexPosition);
//uint16_t bikeStoreGetMaximumBikeStoreSize();

#endif